## ros-indigo-pal-interaction-msgs 0.11.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pal_interaction_msgs)

find_package(catkin REQUIRED
  COMPONENTS
    message_generation
    std_msgs
    actionlib_msgs
)


add_message_files(
  DIRECTORY msg
  FILES
    actiontag.msg
    ASRActivation.msg
    ASREvent.msg
    ASRLangModelMngmt.msg
    ASRLanguage.msg
    asrresult.msg
    ASRSrvRequest.msg
    ASRSrvResponse.msg
    ASRStatus.msg
    asrupdate.msg
    AudioDeviceDescription.msg
    AudioPlayerState.msg
    audiosignal.msg
    DirectionOfArrival.msg
    EnablingSoundLocalisation.msg
    I18nText.msg
    I18nArgument.msg
    TTSstate.msg
    TtsText.msg
    TtsMark.msg
    VoiceActivity.msg
    WebGuiEvent.msg
)

add_action_files(
  DIRECTORY action
  FILES
    ASRFile.action
    Sound.action
    Tts.action
)

add_service_files(
  DIRECTORY srv
  FILES
    ASRService.srv
    recognizerService.srv
    SoundLocalisationService.srv
)

generate_messages(DEPENDENCIES std_msgs actionlib_msgs)

catkin_package(CATKIN_DEPENDS message_runtime)

=== debian/changelog ===
ros-indigo-pal-interaction-msgs (0.11.3-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jordi Adell <jordi.adell@pal-robotics.com>  Wed, 21 Sep 2016 15:28:16 -0000

ros-indigo-pal-interaction-msgs (0.11.2-0trusty) trusty; urgency=high



 -- Jordi Adell <jordi.adell@pal-robotics.com>  Sun, 18 Sep 2016 22:00:00 -0000

ros-indigo-pal-interaction-msgs (0.11.1-0trusty) trusty; urgency=high



 -- Jordi Adell <jordi.adell@pal-robotics.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-pal-interaction-msgs (0.11.0-0trusty) trusty; urgency=high



 -- Jordi Adell <jordi.adell@pal-robotics.com>  Sun, 10 Jul 2016 22:00:00 -0000

ros-indigo-pal-interaction-msgs (0.10.4-0trusty) trusty; urgency=high



 -- Jordi Adell <jordi.adell@pal-robotics.com>  Thu, 03 Sep 2015 22:00:00 -0000

ros-indigo-pal-interaction-msgs (0.10.3-0trusty) trusty; urgency=high



 -- Jordi Adell <jordi.adell@pal-robotics.com>  Sun, 08 Mar 2015 23:00:00 -0000

ros-indigo-pal-interaction-msgs (0.10.2-0trusty) trusty; urgency=high

  * Added action definition for file-based speech recognition
  * Contributors: Jordi Adell

 -- Jordi Adell <jordi.adell@pal-robotics.com>  Thu, 05 Feb 2015 23:00:00 -0000

ros-indigo-pal-interaction-msgs (0.10.1-0trusty) trusty; urgency=high

  * Actions and messages moved to CamelCase
  * New ttsi18n.action and ttstext.action
    New TTS action server that supports internationalisation
    as defined in pal_tts_cfg.  ttstext.action is aimed at replaced
    the old Sound.action API which is deprecated now.
  * Contributors: Jordi Adell

 -- Jordi Adell <jordi.adell@pal-robotics.com>  Sun, 16 Nov 2014 23:00:00 -0000

ros-indigo-pal-interaction-msgs (0.9.1-0trusty) trusty; urgency=high

  * Added a calibration request
    Aslo changed some comments as documentation
  * Corrected some comments to match the code
  * Typo corrected and new events added
    I corrected a typo in listen_state variable
    and added the following events:
    FAILED_DECODING
    CALIBRATION
  * Grammar manament message removed.
  * Add the new grammar management message CMakeLists
    Also changed the definition of ASRSrvRequest to deal with this new
    general definition.
  * Added a new definition for general language model management
    This can be used for grammars, ngrams, and keyword spotting.
    This will replace current grammar management definition.
  * pal_interaction_msgs: re-add Sound action
  * Fix uint8 -> int8
  * Fix minor typos and 0 codes
  * pal_interaction_msgs: list all new files in CMakeLists.txt
  * pal_interaction_msgs: sync with svn
    Some messages have been lost in the migration, restoring them.
  * pal_interaction_msgs: fix message generation
  * Added other packages needed by people that want to use our robot, face
    detection in pal_detection_msgs, and text to speech in text_to_speech. Also
    removed from pal_interaction_msgs the references to the speech part that was
    included there and made incompatible the use of axclient without having the
    same package name than the one inside of the real robot
  * Add pal_interaction_msgs and metapackage
  * Contributors: Jordi Adell, Paul Mathieu, Sammy Pfeiffer

 -- Jordi Adell <jordi.adell@pal-robotics.com>  Mon, 26 May 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-pal-interaction-msgs
Section: misc
Priority: extra
Maintainer: Jordi Adell <jordi.adell@pal-robotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-pal-interaction-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-message-runtime, ros-indigo-std-msgs
Description: This package defines messages used by the PAL interaction tools.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pal-interaction-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
